aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Lehtonen <markus.lehtonen@linux.intel.com>2016-08-30 11:08:15 +0300
committerMarkus Lehtonen <markus.lehtonen@linux.intel.com>2016-10-06 08:48:48 +0300
commitd452986f76db81321ec9bf7889cdf0fc714e2857 (patch)
treee32ca36726f50cb224bf07d1ee28b2f450fbc2c2
parent85f9c4bf8bcb88380bbccf2a5d97d245c6683800 (diff)
downloadopenembedded-core-contrib-d452986f76db81321ec9bf7889cdf0fc714e2857.tar.gz
openembedded-core-contrib-d452986f76db81321ec9bf7889cdf0fc714e2857.tar.bz2
openembedded-core-contrib-d452986f76db81321ec9bf7889cdf0fc714e2857.zip
build-perf-bisect: add parsetime test method
Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com>
-rwxr-xr-xbuild-perf-bisect.sh19
1 files changed, 17 insertions, 2 deletions
diff --git a/build-perf-bisect.sh b/build-perf-bisect.sh
index 9471151583..6ad63a7a8e 100755
--- a/build-perf-bisect.sh
+++ b/build-perf-bisect.sh
@@ -31,7 +31,8 @@ Optional arguments:
-h show this help and exit.
-d DL_DIR to use
-m test method, available options are:
- buildtime, tmpsize, esdktime (default: $test_method)
+ buildtime, tmpsize, esdktime, parsetime
+ (default: $test_method)
-w work directory to use
EOF
}
@@ -194,6 +195,13 @@ esdktime () {
run_cmd rm -rf esdk-deploy tmp*
}
+parsetime () {
+ run_cmd rm -rf bitbake.lock conf/sanity_info cache tmp sstate-cache
+
+ do_sync
+ result=`time_cmd bitbake -p` || exit 125
+ result_h=`s_to_hms $result`
+}
#
# MAIN SCRIPT
@@ -215,6 +223,11 @@ case "$test_method" in
threshold_h=`s_to_hms $threshold`
builddir="$workdir/build"
;;
+ parsetime)
+ threshold=`hms_to_s $2`
+ threshold_h=`s_to_hms $threshold`
+ build_target=""
+ ;;
*)
echo "Invalid test method $test_method"
exit 255
@@ -231,7 +244,9 @@ echo CONNECTIVITY_CHECK_URIS = \"\" >> conf/local.conf
# Do actual build
log "TESTING REVISION $git_rev (#$git_rev_cnt)"
log "fetching sources"
-run_cmd bitbake $build_target -c fetchall || exit 125
+if [ -n "$build_target" ]; then
+ run_cmd bitbake $build_target -c fetchall || exit 125
+fi
$test_method $build_target